CRM-Benutzerdefinierte FelderBenutzerdefiniertes Feld erstellen

Benutzerdefiniertes Feld erstellen

curl -X POST "https://api.talkturo.com/api/crm/custom-fields" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "John Doe",
  "type": "text",
  "entity_type": "contact",
  "options": [
    "example_string"
  ]
}'
{
  "success": true,
  "field": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "type": "text",
    "entity_type": "contact",
    "options": [
      "example_string"
    ]
  }
}
POST
/crm/custom-fields
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Content-Typestring
Required

The media type of the request body

Options: application/json
typestring
Required
Options: text, number, date, select, boolean
entity_typestring
Required
Options: contact, company, opportunity
optionsarray

Erforderlich für Select-Felder

Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Body

application/json
typestring
Required
Allowed values:textnumberdateselectboolean
entity_typestring
Required
Allowed values:contactcompanyopportunity
optionsarray

Erforderlich für Select-Felder

Responses

successboolean
fieldobject